开发者社区> 问答> 正文

Oracle驱动使用Druid报出AbstractMethodError异常

我的oracle jdbc的驱动包版本是jdk1.3编译的,而Druid在运行过程中会使用jdk1.7新增了一些接口比如说Preparedstatement的unwraps方法,所以出现AbstractMethodError的错误(如下图).请问下如何支持这些老版本的驱动?

T68.jpeg

原提问者GitHub用户ascrutae

展开
收起
山海行 2023-07-05 21:10:27 31 0
1 条回答
写回答
取消 提交回答
  • 升级ojdbc6就没问题了。

    原回答者GitHub用户flywhitebirds

    2023-07-06 11:54:10
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
PostgresChina2018_樊文凯_ORACLE数据库和应用异构迁移最佳实践 立即下载
PostgresChina2018_王帅_从Oracle到PostgreSQL的数据迁移 立即下载
Oracle云上最佳实践 立即下载

相关镜像